## org.biojava.bio.seq.io
Class EmblProcessor

    java.lang.Object
      org.biojava.bio.seq.io.SequenceBuilderFilter
          org.biojava.bio.seq.io.EmblProcessor

All Implemented Interfaces:
  SeqIOListener, SequenceBuilder, ParseErrorSource

Deprecated. Use org.biojavax.bio.seq.io framework instead

    public class EmblProcessor

extends SequenceBuilderFilter
implements ParseErrorSource

Simple filter which handles attribute lines from an EMBL file. This class delegates creation of `Feature`s to a `FeatureTableParser`, which in turn delegates creation of `Locations` to an `EmblLikeLocationParser` which is shared with the `GenbankProcessor`. An `EmblLikeLocationParser` parses EMBL/Genbank style locations. Supported location forms:

       123
      <123 or >123
      (123.567)
      (123.567)..789
       123..(567.789)
      (123.345)..(567.789)
       123..456
      <123..567 or 123..>567 or <123..>567
       123^567
       AL123465:(123..567)

The only EMBL header information retained over a read/write cycle is the accession number (all numbers).

Since:
  1.1
Author:
  Thomas Down, Greg Cox, Keith James

Nested Class Summary
`static class` `EmblProcessor.Factory` Deprecated. Factory which wraps SequenceBuilders in an EmblProcessor

Field Summary
`static String` `PROPERTY_EMBL_ACCESSIONS` Deprecated.

Constructor Summary
`EmblProcessor(SequenceBuilder delegate)` Deprecated.

Method Summary
`void` `addParseErrorListener(ParseErrorListener theListener)` Deprecated. Adds a parse error listener to the list of listeners if it isn't already included.
`void` `addSequenceProperty(Object key, Object value)` Deprecated. Notify the listener of a sequence-wide property.
`void` `endSequence()` Deprecated. Notify the listener that processing of the sequence is complete.
`protected void` `notifyParseErrorEvent(ParseErrorEvent theEvent)` Deprecated. Passes the event on to all the listeners registered for ParseErrorEvents.
`void` `removeParseErrorListener(ParseErrorListener theListener)` Deprecated. Removes a parse error listener from the list of listeners if it is included.

Methods inherited from class org.biojava.bio.seq.io.SequenceBuilderFilter
`addFeatureProperty, addSymbols, endFeature, getDelegate, makeSequence, setName, setURI, startFeature, startSequence`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_EMBL_ACCESSIONS

    public static final String PROPERTY_EMBL_ACCESSIONS

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### EmblProcessor

    public EmblProcessor(SequenceBuilder delegate)

  Deprecated.

Method Detail

### endSequence

    public void endSequence()
                     throws ParseException

  Deprecated.
  Description copied from interface: `SeqIOListener`
  Notify the listener that processing of the sequence is complete.

  Specified by:
    `endSequence` in interface `SeqIOListener`
  Overrides:
    `endSequence` in class `SequenceBuilderFilter`
  Throws:
    `ParseException`

### addSequenceProperty

    public void addSequenceProperty(Object key,
                                    Object value)
                             throws ParseException

  Deprecated.
  Description copied from interface: `SeqIOListener`
  Notify the listener of a sequence-wide property. This might be stored as an entry in the sequence's annotation bundle.

  Specified by:
    `addSequenceProperty` in interface `SeqIOListener`
  Overrides:
    `addSequenceProperty` in class `SequenceBuilderFilter`
  Throws:
    `ParseException`

### addParseErrorListener

    public void addParseErrorListener(ParseErrorListener theListener)

  Deprecated.
  Adds a parse error listener to the list of listeners if it isn't already included.

  Specified by:
    `addParseErrorListener` in interface `ParseErrorSource`
  Parameters:
    `theListener` - Listener to be added.

### removeParseErrorListener

    public void removeParseErrorListener(ParseErrorListener theListener)

  Deprecated.
  Removes a parse error listener from the list of listeners if it is included.

  Specified by:
    `removeParseErrorListener` in interface `ParseErrorSource`
  Parameters:
    `theListener` - Listener to be removed.

### notifyParseErrorEvent

    protected void notifyParseErrorEvent(ParseErrorEvent theEvent)

  Deprecated.
  Passes the event on to all the listeners registered for ParseErrorEvents.

  Parameters:
    `theEvent` - The event to be handed to the listeners.